Event Markers

Bulk Create Event Markers

Creates up to 500 marker events in a manual collection in a single request.

POST
/v0/project/{idOrSlug}/event-marker-collections/{collectionId}/events/bulk

Creates up to 500 marker events in a manual collection in a single request.

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string
collectionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v0/project/string/event-marker-collections/string/events/bulk" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "timestamp": "string",        "title": "string"      }    ]  }'
[  {    "id": "string",    "projectId": "string",    "collectionId": "string",    "timestamp": "string",    "title": "string",    "description": "string",    "icon": "string",    "emoji": "string",    "color": "string",    "metadata": {},    "externalId": "string",    "createdAt": "string",    "updatedAt": "string"  }]
{  "_tag": "EventMarkerValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}